Subject: Re: [Int-area] Alissa Cooper's No Objection on draft-ietf-intarea-frag-fragile-16: (with COMMENT)
From: Brian E Carpenter <[email-masked]>
To: Joe Touch <[email-masked]>
Cc: Fred Baker <[email-masked]>, Joel Halpern <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Mon, 9 Sep 2019 15:50:19 +1200
List-Id: IETF Internet Area Mailing List <int-area.ietf.org>

On 09-Sep-19 12:15, Joe Touch wrote:
> 
> 
>> On Sep 8, 2019, at 1:26 PM, Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>>>
>>>> Wouldn't that require the middle box to become an architectural element?
>>>
>>> Yes, but not just “an” (one):
>>>
>>> Touch, J: Middlebox Models Compatible with the Internet. USC/ISI (ISI-TR-711), 2016. (Type: Technical Report | Links | BibTeX)
>>>
>>>  * https://www.strayalpha.com/pubs/isi-tr-711.pdf
>>
>> I'll take the liberty of pointing out that we've known for many years that
>> there are multiple types of middleboxes and they have multiple facets:
>> https://tools.ietf.org/html/rfc3234
> 
> Facets are just properties. That doc makes no attempt to describe them as architectural roles.

Agreed. My point is that the issue has been lying on the IETF table for many years, and we've collectively chosen to ignore it.
 
>>
>> So far, we haven't added them to any formal architectural description of
>> the Internet, probably because we don't have one.
> 
> RFC1122, RFC1123, RFC1812 as standards.
> 
> I (and IMO those RFCs) disagree with the position you took in RFC1958, FWIW.

"you" = the IAB in 1996; I was only the document editor. But IMHO those RFCs are not architectural as such. They describe functions of nodes, not how the nodes work together as a system.

    Brian

> 
> Joe
> 
>